package net.northking.cctp.upperComputer.entity;

import java.util.Map;

public class DebuggerDeviceInfo {

    /**
     * 创建driver
     */
    private String deviceId;

    private String platform;

    private String systemVersion;

    /**
     * 初始化应用
     */
    private String appId;

    private String appPackage;

    private String downloadAppUrl;

    private String appVersion;

    private boolean reInstall;

    private boolean cleanData;

    private String appName;

    private String appPath;

    public String getAppPath() {
        return appPath;
    }

    public void setAppPath(String appPath) {
        this.appPath = appPath;
    }

    /**
     * 截图
     * @return
     */
    private Integer length;

    private Integer width;

    private String resolution;

    private Integer x;

    private Integer y;

    private Integer screenLength;

    private Integer screenWidth;

    /**
     * 用户token
     */
    private String userToken;

    private String tenantId;

    private String taskId;

    /**
     * 是否保存视频
     */
    private Boolean save;

    /**
     * 执行shell命令
     */
    private String shell;

    private String dir;

    private Map<String,String> envMap;

    private boolean waitOrNot = false;

    /**
     * 用例id，用来记录此次用例获取设备信息和应用信息
     */
    private String caseId;

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public boolean isWaitOrNot() {
        return waitOrNot;
    }

    public void setWaitOrNot(boolean waitOrNot) {
        this.waitOrNot = waitOrNot;
    }

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public Map<String, String> getEnvMap() {
        return envMap;
    }

    public void setEnvMap(Map<String, String> envMap) {
        this.envMap = envMap;
    }



    public String getShell() {
        return shell;
    }

    public void setShell(String shell) {
        this.shell = shell;
    }

    public String getUserToken() {
        return userToken;
    }

    public void setUserToken(String userToken) {
        this.userToken = userToken;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public Integer getY() {
        return y;
    }

    public void setY(Integer y) {
        this.y = y;
    }

    public Integer getScreenLength() {
        return screenLength;
    }

    public void setScreenLength(Integer screenLength) {
        this.screenLength = screenLength;
    }

    public Integer getScreenWidth() {
        return screenWidth;
    }

    public void setScreenWidth(Integer screenWidth) {
        this.screenWidth = screenWidth;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public boolean isReInstall() {
        return reInstall;
    }

    public void setReInstall(boolean reInstall) {
        this.reInstall = reInstall;
    }

    public boolean isCleanData() {
        return cleanData;
    }

    public void setCleanData(boolean cleanData) {
        this.cleanData = cleanData;
    }

    private Map<String, String> otherInfo;  //创建driver的时候others选项

    public Map<String, String> getOtherInfo() {
        return otherInfo;
    }

    public void setOtherInfo(Map<String, String> otherInfo) {
        this.otherInfo = otherInfo;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getSystemVersion() {
        return systemVersion;
    }

    public void setSystemVersion(String systemVersion) {
        this.systemVersion = systemVersion;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public String getDownloadAppUrl() {
        return downloadAppUrl;
    }

    public void setDownloadAppUrl(String downloadAppUrl) {
        this.downloadAppUrl = downloadAppUrl;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Boolean getSave() {
        return save;
    }

    public void setSave(Boolean save) {
        this.save = save;
    }
}
